<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: structField</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for structField {SparkR}"><tr><td>structField {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>structField</h2>

<h3>Description</h3>

<p>Create a structField object that contains the metadata for a single field in a schema.
</p>


<h3>Usage</h3>

<pre>
structField(x, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>The name of the field</p>
</td></tr>
<tr valign="top"><td><code>type</code></td>
<td>
<p>The data type of the field</p>
</td></tr>
<tr valign="top"><td><code>nullable</code></td>
<td>
<p>A logical vector indicating whether or not the field is nullable</p>
</td></tr>
</table>


<h3>Value</h3>

<p>a structField object
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlCtx &lt;- sparkRSQL.init(sc)
rdd &lt;- lapply(parallelize(sc, 1:10), function(x) { list(x, as.character(x)) })
field1 &lt;- structField("a", "integer", TRUE)
field2 &lt;- structField("b", "string", TRUE)
schema &lt;- structType(field1, field2)
df &lt;- createDataFrame(sqlCtx, rdd, schema)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
